import { Canvas, Chart, Interval, Axis, Tooltip } from "@antv/f2";


export function Init(ele,devicePixelRatio){
      const data = [
        { genre: "Sports", sold: 275 },
        { genre: "Strategy", sold: 115 },
        { genre: "Action", sold: 120 },
        { genre: "Shooter", sold: 350 },
        { genre: "Other", sold: 150 },
      ];
      // 获取 canvas context
      const context = ele.getContext("2d");
      const { props } = (
        <Canvas context={context} pixelRatio={devicePixelRatio}>
          <Chart data={data}>
            <Axis field="genre" />
            <Axis field="sold" />
            <Interval x="genre" y="sold" color="genre" />
            <Tooltip />
          </Chart>
        </Canvas>
      );
      console.log(props);
      const canvas = new Canvas(props);
      canvas.render();
}